%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-googlevoice
Version:        0.5
Release:        3%{?dist}
Summary:        Python language bindings for the Google Voice API

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/pygooglevoice/
Source0:        http://pygooglevoice.googlecode.com/files/pygooglevoice-%{version}.tar.gz
Source1:        http://pygooglevoice.googlecode.com/files/pygooglevoice-%{version}-extras.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-setuptools-devel

Provides:       pygooglevoice = %{version}

%description
This project aims to bring the power of the Google Voice API to the
Python language in a simple, easy-to-use manner. Currently it allows
you to place calls, send sms, download voicemails/recorded messages,
and search the various folders of your Google Voice Accounts. You can
use the Python API or command line script to schedule calls, check for
new received calls/sms, or even sync your recorded voicemails/calls.

%prep
%setup0 -q -n pygooglevoice-%{version} -a 1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc examples
%{_bindir}/asterisk-gvoice-setup
%{_bindir}/gvoice
%{_bindir}/gvi
%{python_sitelib}/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue May 11 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.5-1
- Update to 0.5

* Sun Nov  1 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4-2
- Remove unnecessary comments
- Remove CFLAGS="$RPM_OPT_FLAGS" which is unneeded in a noarch package

* Sat Oct 31 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4-1
- First version for Fedora
